curl --request GET \
--url 'https://api.workstream.stateset.com/v1/fleet/billing' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_slug": "acme-outdoors",
"brand_display_name": "string",
"profile": {
"id": null,
"brand_id": null,
"tenant_id": null,
"provider": null,
"billing_org_id": null,
"stripe_customer_id": null,
"stripe_subscription_id": null,
"billing_email": null,
"pricing_model": null,
"default_currency": null,
"meter_event_namespace": null,
"meter_event_overrides": null,
"enabled": null,
"metadata": null,
"created_at": null,
"updated_at": null
},
"model": "string",
"rate_minor": 8,
"currency": "USD",
"enabled": true,
"meter_pending_events": 1,
"meter_failed_events": 1,
"meter_sent_events": 1,
"pending_billable_outcomes": 1
}
],
"total": 102,
"limit": 20,
"offset": 1,
"count": 2
}
List fleet billing profiles
Billing profile summary per visible brand.
GET
/
v1
/
fleet
/
billing
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/fleet/billing' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_slug": "acme-outdoors",
"brand_display_name": "string",
"profile": {
"id": null,
"brand_id": null,
"tenant_id": null,
"provider": null,
"billing_org_id": null,
"stripe_customer_id": null,
"stripe_subscription_id": null,
"billing_email": null,
"pricing_model": null,
"default_currency": null,
"meter_event_namespace": null,
"meter_event_overrides": null,
"enabled": null,
"metadata": null,
"created_at": null,
"updated_at": null
},
"model": "string",
"rate_minor": 8,
"currency": "USD",
"enabled": true,
"meter_pending_events": 1,
"meter_failed_events": 1,
"meter_sent_events": 1,
"pending_billable_outcomes": 1
}
],
"total": 102,
"limit": 20,
"offset": 1,
"count": 2
}
Query parameters
Response
object
Show items
Show items
Status codes
| Code | Meaning |
|---|---|
200 | Billing profile summary per visible brand. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/fleet/billing' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_slug": "acme-outdoors",
"brand_display_name": "string",
"profile": {
"id": null,
"brand_id": null,
"tenant_id": null,
"provider": null,
"billing_org_id": null,
"stripe_customer_id": null,
"stripe_subscription_id": null,
"billing_email": null,
"pricing_model": null,
"default_currency": null,
"meter_event_namespace": null,
"meter_event_overrides": null,
"enabled": null,
"metadata": null,
"created_at": null,
"updated_at": null
},
"model": "string",
"rate_minor": 8,
"currency": "USD",
"enabled": true,
"meter_pending_events": 1,
"meter_failed_events": 1,
"meter_sent_events": 1,
"pending_billable_outcomes": 1
}
],
"total": 102,
"limit": 20,
"offset": 1,
"count": 2
}
Last modified on August 31, 2026